Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deBitmap.cpp File Reference

bitmap processing and conversion More...

`#include <cmath>`
`#include "deBitmap_priv.hpp"`
`#include "deFileSystem.hpp"`
`#include "deMath.hpp"`
`#include "deFile.hpp"`

Include dependency graph for deBitmap.cpp:

## Compounds
struct | deBitmapProxy_Header_t
## Functions
| WorldObjectClassImp (deBitmapProxy)
IdeFile * | LoadFile (const char *filename, IdeFileSystem *BaseFS, deBoolean Read, deBoolean Write)
IdeResourceBase * | LoadBMP (const char *filename, IdeFile *file, deBoolean)
IdeResourceBase * | LoadTGA (const char *filename, IdeFile *file, deBoolean)
IdeResourceBase * | LoadPCX (const char *filename, IdeFile *file, deBoolean)
IdeResourceBase * | LoadPNG (const char *filename, IdeFile *file, deBoolean)
IdeResourceBase * | LoadDDS (const char *filename, IdeFile *file, deBoolean)
IdeResourceBase * | LoadCMAP (const char *filename, IdeFile *file, deBoolean)
long | BPPByteDepth (IdeDriver::BPP BPPType)
deBoolean | IdeBitmap_Initialize ()
| initialize the bitmap module
long | IdeBitmap_GetRscInterfaceID ()
| get the IdeBitmap resource interface ID for use in IdeResourceBase::GetRscInterface
long | IdeBitmapProxy_GetWOInterfaceID ()
| get the IdeBitmapProxy dworld object interface ID for use in IdeWorldObject::GetWOInterface
IdeBitmap * | IdeBitmap_CreateBitmap ()
| create a zero'd bitmap
IdeBitmapProxy * | IdeBitmap_CreateProxy (IdeResourceBase *FromBitmap)
IdeBitmap * | IdeBitmap_CreateBitmapWithInfo (long Width, long Height, IdeDriver::BPP Format, deBoolean CubeMap)
| create a bitmap with specific attributes (not cleared)
void | GetColorIn (unsigned char *data, IdeDriver::BPP Format, deColor &RetColor)
void | SetColorIn (unsigned char *data, IdeDriver::BPP Format, deColor color)
## Variables
const deBitmapProxy_Header_t | deBitmapProxy_Header = {0,1}

## Detailed Description

bitmap processing and conversion

Author:
  Assassin, Hootie, paradoxnj

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Jan 2002

Author:
  Assassin

Remarks:
  Creation

## Function Documentation

long BPPByteDepth | ( | IdeDriver::BPP | BPPType | ) |

void GetColorIn | ( | unsigned char * | data,
|  | IdeDriver::BPP | Format,
|  | deColor & | RetColor
| ) |

IdeBitmap* IdeBitmap_CreateBitmap | ( |  | ) |

| create a zero'd bitmap

IdeBitmap* IdeBitmap_CreateBitmapWithInfo | ( | long | Width,
|  | long | Height,
|  | IdeDriver::BPP | Format,
|  | deBoolean | CubeMap
| ) |

| create a bitmap with specific attributes (not cleared)

IdeBitmapProxy* IdeBitmap_CreateProxy | ( | IdeResourceBase * | FromBitmap = (0) | ) |

  | create a bitmap proxy Parameters:
  FromBitmap | an IdeBitmap to create a proxy from
Returns: valid IdeBitmapProxy object if FromBitmap was a NULL or a valid bitmap

long IdeBitmap_GetRscInterfaceID | ( |  | ) |

| get the IdeBitmap resource interface ID for use in IdeResourceBase::GetRscInterface

deBoolean IdeBitmap_Initialize | ( |  | ) |

| initialize the bitmap module

long IdeBitmapProxy_GetWOInterfaceID | ( |  | ) |

| get the IdeBitmapProxy dworld object interface ID for use in IdeWorldObject::GetWOInterface

IdeResourceBase* LoadBMP | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

IdeResourceBase* LoadCMAP | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

IdeResourceBase* LoadDDS | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

IdeFile* LoadFile | ( | const char * | filename,
|  | IdeFileSystem * | BaseFS,
|  | deBoolean | Read,
|  | deBoolean | Write
| ) | `[static]`

IdeResourceBase* LoadPCX | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

IdeResourceBase* LoadPNG | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

IdeResourceBase* LoadTGA | ( | const char * | filename,
|  | IdeFile * | file,
|  | deBoolean |
| ) |

void SetColorIn | ( | unsigned char * | data,
|  | IdeDriver::BPP | Format,
|  | deColor | color
| ) |

WorldObjectClassImp | ( | deBitmapProxy |  | ) |

## Variable Documentation

const deBitmapProxy_Header_t deBitmapProxy_Header = {0,1}`[static]`